local addon = PvPTimer

local spells = {
	-- Recklessness
	[1719] = {
		class = 'WARRIOR',
		duration = 12,
		cooldown = 300,
		cooldown_s2 = -60, -- 20%
		type = 'offensive',
	},
	-- Death Wish
	[12292] = {
		class = 'WARRIOR',
		spec = 2,
		duration = 30,
		cooldown = 180,
		type = 'offensive',
	},
	-- Retaliation
	[20230] = {
		class = 'WARRIOR',
		duration = 12,
		cooldown = 300,
		type = 'offensive',
	},
	-- Shattering Throw
	[64382] = {
		class = 'WARRIOR',
		duration = 10,
		cooldown = 300,
		type = 'offensive',
	},
	-- Inner Rage
	[1134] = {
		class = 'WARRIOR',
		duration = 15,
		cooldown = 30,
		type = 'offensive',
	},
	-- Deadly Calm
	[85730] = {
		class = 'WARRIOR',
		spec = 1,
		duration = 10,
		cooldown = 120,
		type = 'offensive',
	},
	-- Heroic Throw
	[57755] = {
		class = 'WARRIOR',
		cooldown = 60,
		cooldown_s3 = -30,
		type = 'offensive',
	},
	-- Bladestorm
	[46924] = {
		class = 'WARRIOR',
		spec = 1,
		duration = 6,
		cooldown = 90,
		cooldown_g = -15,
		type = 'offensive',
	},
	-- Sweeping Strikes
	[12328] = {
		class = 'WARRIOR',
		spec = 1,
		duration = 10,
		cooldown = 60,
		type = 'offensive',
	},
	-- Shield Reflect
	[23920] = {
		class = 'WARRIOR',
		duration = 5,
		cooldown = 25,
		cooldown_g = -5,
		type = 'defensive',
	},
	-- Intervene
	[3411] = {
		class = 'WARRIOR',
		cooldown = 30,
		type = 'misc',
	},
	-- Shield Wall
	[871] = {
		class = 'WARRIOR',
		duration = 12,
		cooldown = 300,
		cooldown_s3 = -180,
		cooldown_g = 120,
		type = 'defensive',
	},
	-- Last Stand
	[12975] = {
		class = 'WARRIOR',
		spec = 3,
		duration = 20,
		cooldown = 180,
		type = 'defensive',
	},
	-- Rallying Cry
	[97462] = {
		class = 'WARRIOR',
		duration = 10,
		cooldown = 180,
		type = 'defensive',
	},
	-- Shield Block
	[2565] = {
		class = 'WARRIOR',
		duration = 10,
		cooldown = 60,
		cooldown_s3 = -30,
		type = 'defensive',
	},
	-- Enraged Regeneration
	[55694] = {
		class = 'WARRIOR',
		duration = 10,
		cooldown = 180,
		type = 'defensive',
	},
	-- Berserker Rage
	[18499] = {
		class = 'WARRIOR',
		duration = 10,
		cooldown = 30,
		cooldown_s2 = -6, -- 20%
		type = 'defensive',
	},
	-- Pummel
	[6552] = {
		class = 'WARRIOR',
		cooldown = 10,
		type = 'interrupt',
	},
	-- Charge
	[100] = {
		class = 'WARRIOR',
		cooldown = 15,
		cooldown_g = -1,
		type = 'cc',
	},
	-- Intercept
	[20252] = {
		class = 'WARRIOR',
		cooldown = 30,
		cooldown_s2 = -10,
		type = 'cc',
	},
	-- Heroic Leap
	[6544] = {
		class = 'WARRIOR',
		cooldown = 60,
		cooldown_s2 = -20,
		type = 'misc',
	},
	-- Disarm
	[676] = {
		class = 'WARRIOR',
		cooldown = 60,
		type = 'misc',
	},
	-- Throwdown
	[85388] = {
		class = 'WARRIOR',
		spec = 1,
		duration = 5,
		cooldown = 45,
		type = 'cc',
	},
	-- Improved Hamstring
	[12668] = {
		class = 'WARRIOR',
		spec = 1,
		cooldown = 30,
		type = 'root',
	},
	-- Concussion Blow
	[12809] = {
		class = 'WARRIOR',
		spec = 3,
		cooldown = 30,
		type = 'cc',
	},
	-- Shockwave
	[46968] = {
		class = 'WARRIOR',
		spec = 3,
		duration = 4,
		cooldown = 20,
		cooldown_g = -3,
		type = 'cc',
	},
	-- Intimidating Shout
	[5246] = {
		class = 'WARRIOR',
		duration = 8,
		cooldown = 120,
		type = 'cc',
	},
	-- Heroic Fury
	[60970] = {
		class = 'WARRIOR',
		spec = 2,
		cooldown = 30,
		resets = {
			20252,
		},
		type = 'misc',
	},
}

local spec = {
	-- Mortal Strike
	[12294] = 1,
	-- Bloodthirst
	[23881] = 2,
	-- Shield Slam
	[23922] = 3,
	-- Raging Blow
	[85288] = 2,
	-- Devastate
	[20243] = 3,
	-- Vigilance
	[50720] = 3,
}

local hs = addon.Spells
for k, v in pairs(spells) do hs[k] = v end

local ss = addon.SpecSpells
for k, v in pairs(spec) do ss[k] = v end
